Skip to main content
GET
/
bank-linking
/
investments
/
holdings
Search financial account investment holdings
curl --request GET \
  --url https://api-sb.meld.io/bank-linking/investments/holdings \
  --header 'Authorization: <api-key>'
{
  "count": 123,
  "investmentHoldings": [
    {
      "accountId": "<string>",
      "closePrice": 123,
      "connectionIds": [
        "<string>"
      ],
      "costBasis": 123,
      "currency": "<string>",
      "currentValue": 123,
      "cusip": "<string>",
      "customerId": "<string>",
      "description": "<string>",
      "externalCustomerId": "<string>",
      "financialAccountId": "<string>",
      "id": "<string>",
      "isin": "<string>",
      "key": "<string>",
      "quantity": 123,
      "serviceProviderDetails": [
        {}
      ],
      "symbol": "<string>"
    }
  ],
  "remaining": 123
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Query Parameters

customerId
string

Meld generated unique identifier for your customer. This should be used to track customer activity. Should not be provided in conjunction with externalCustomerId

externalCustomerId
string

Your unique identifier for your customer. If maintaining your own customer management system this can also be used for tracking customer activity. Should not be provided in conjunction withcustomerId

financialAccountId
string

Financial account id

connectionId
string

Connection Id

before
string

Unique key corresponding to a investment holding's position in the paginated list of results -- used to indicate that only investment holdings residing before this key will be retrieved.

Each investment holding carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

after
string

Unique key corresponding to a investment holding's position in the paginated list of results -- used to indicate that only investment holdings residing after this key will be retrieved.

Each investment holding carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

limit
integer<int32>

Limits number of returned financial account investment holdings.

Default value: 100

Minimum value: 1

Maximum value: 1000

Response

Financial account investment holdings are returned

count
integer<int32>

Number of financial account investment holdings returned.

investmentHoldings
object[]

Financial account investment holdings

remaining
integer<int32>

Number of remaining financial account investment holdings before/after this page, depending on the direction this page was selected.